/*
modules.h
Copyright 2007 Matt Heinzen

This file is part of Color Machine 0.8

Color Machine is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

Color Machine is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Color Machine; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MODULES_H__
#define __MODULES_H__

enum Module { MODULE_NONE = 0, MODULE_DIAMONDS, MODULE_GRID, MODULE_ORGANIC, MODULE_SPIKES,
	MODULE_WORMS, MODULE_PIPELINE, MODULE_FRACTURED, MODULE_CHECKERBOARD, MODULE_MICROCHIP,
	MODULE_OPPOSITION, MODULE_INFINITY, MODULE_CONTOUR, MODULE_VORTEX, MODULE_THORNS, MODULE_WAVES,
	MODULE_NUCLEUS, MODULE_JELLY, MODULE_RAYS, MODULE_SPIRAL, MODULE_OSMOSIS, MODULE_MULTIPOLARITY,
	MODULE_RIPPLES, MODULE_BEYOND, MODULE_CONTINUUM, MODULE_SPHERES, MODULE_GODS_ORB, MODULE_MAX };

char const* getModuleName(int moduleIdx);
void drawModule(int moduleIdx);

#endif // __MODULES_H__
